local assets=
{
	Asset("ANIM", "anim/ziiosword.zip"),
	Asset("ANIM", "anim/swap_ziiosword.zip"),
    
    Asset("IMAGE", "images/inventoryimages/ziiosword.tex"),
	Asset("ATLAS", "images/inventoryimages/ziiosword.xml"),
}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_ziiosword", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
    inst.Light:Enable(true)
    GetPlayer().components.temperature:SetTemp(20)
    GetPlayer():PushEvent("stopfreezing")
    GetPlayer():PushEvent("stopoverheating")
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
    inst.Light:Enable(false)
    GetPlayer().components.temperature:SetTemp(nil)
end


local function onattack(inst, owner, target)
    owner.components.hunger:DoDelta(5)
	owner.components.sanity:DoDelta(5)
	owner.components.health:DoDelta(5)
    
	
end

local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("nightmaresword")
    inst.AnimState:SetBuild("ziiosword")
    inst.AnimState:PlayAnimation("idle")
    inst.AnimState:SetMultColour(1, 1, 1, 0.6)
    
    inst:AddTag("ziio")
    inst:AddTag("sharp")

    inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.CHOP, 15)
    inst.components.tool:SetAction(ACTIONS.MINE, 15)
    inst.components.tool:SetAction(ACTIONS.HAMMER,15)
    inst.components.tool:SetAction(ACTIONS.DIG)
    inst.components.tool:SetAction(ACTIONS.NET)
--  yu'san
    inst:AddComponent("dapperness")
    inst.components.dapperness.mitigates_rain = true
--  diao'yu'gan
    inst:AddComponent("fishingrod")
    inst.components.fishingrod:SetWaitTimes(1, 5)
    inst.components.fishingrod:SetStrainTimes(0, 10)
--  shun'yi
    inst:AddComponent("blinkstaff")
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(150)
    inst.components.weapon:SetRange(10, 50)
	inst.components.weapon:SetOnAttack(onattack)
    
    inst.components.weapon:SetProjectile("ziio_projectile")
    -------
    
    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/ziiosword.xml"
    
    inst:AddComponent("equippable")
	inst.components.equippable.walkspeedmult = 5,
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	local light = inst.entity:AddLight()
    inst.Light:Enable(true)
	inst.Light:SetRadius(20)
    inst.Light:SetFalloff(0.5)
    inst.Light:SetIntensity(0.95)
    inst.Light:SetColour(255/255,255/255,255/255)
    
	inst:AddComponent("sanityaura")
    inst.components.sanityaura.aura = TUNING.SANITYAURA_HUGE
	
    return inst
end

STRINGS.NAMES.ZIIOSWORD = "Ziio Sword"
STRINGS.RECIPE_DESC.ZIIOSWORD = "It's very awful."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ZIIOSWORD = "This sword is very awful."

return Prefab( "common/inventory/ziiosword", fn, assets) 
